<template>
  <div>
    Vue version: {{ vueVersion }}
    <hr />
    <div>
      <button :disabled="offset === 0" @click="offset -= limit">Prev</button>
      <button @click="offset += limit">Next</button>
    </div>
    <ul v-if="!$apollo.queries.launches.loading">
      <li v-for="launch in launches">{{ launch.mission_name }}</li>
    </ul>
    <div v-else>...loading...</div>
  </div>
</template>
<script>
import Vue from "vue";
import gql from "graphql-tag";

const launchQuery = gql`
  query launches($limit: Int, $offset: Int) {
    launches(limit: $limit, offset: $offset) {
      id
      mission_name
    }
  }
`;

export default {
  apollo: {
    launches: {
      query: launchQuery,
      variables() {
        return {
          limit: this.limit,
          offset: this.offset,
        };
      },
    },
  },
  data() {
    return {
      offset: 0,
      limit: 10,
      hello: "foo",
    };
  },
  computed: {
    vueVersion() {
      return Vue.version;
    },
  },
};
</script>
